URI.DefaultCharsetChanged (HttpClient Library (Version 3.1))
Date: 2016-03-09

org.apache.commons.httpclient

## Class URI.DefaultCharsetChanged

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.commons.httpclient.URI.DefaultCharsetChanged

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    URI

      public static class URI.DefaultCharsetChanged
      extends java.lang.RuntimeException

  The charset-changed normal operation to represent to be required to alert to user the fact the default charset is changed.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DOCUMENT_CHARSET` Document charset changed.
    `static int` | `PROTOCOL_CHARSET` Protocol charset changed.
    `static int` | `UNKNOWN` No specified reason code.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `URI.DefaultCharsetChanged(int reasonCode, java.lang.String reason)` The constructor with a reason string and its code arguments.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getReason()` Get the reason message.
    `int` | `getReasonCode()` Get the reason code.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### UNKNOWN

          public static final int UNKNOWN

      No specified reason code.
      See Also:
        Constant Field Values

    - #### PROTOCOL_CHARSET

          public static final int PROTOCOL_CHARSET

      Protocol charset changed.
      See Also:
        Constant Field Values

    - #### DOCUMENT_CHARSET

          public static final int DOCUMENT_CHARSET

      Document charset changed.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### URI.DefaultCharsetChanged

          public URI.DefaultCharsetChanged(int reasonCode,
                                   java.lang.String reason)

      The constructor with a reason string and its code arguments.
      Parameters:
        `reasonCode` - the reason code
        `reason` - the reason

  - ### Method Detail

    - #### getReasonCode

          public int getReasonCode()

      Get the reason code.
      Returns:
        the reason code

    - #### getReason

          public java.lang.String getReason()

      Get the reason message.
      Returns:
        the reason message

Copyright (c) 1999-2005 - Apache Software Foundation